Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77394 - up2date does not list all package/channel combinations
Summary: up2date does not list all package/channel combinations
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 10:17 UTC by Nick Strugnell
Modified: 2007-03-27 03:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-05 21:11:28 UTC


Attachments (Terms of Use)

Description Nick Strugnell 2002-11-06 10:17:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Using up2date --show-channels --show-all lists only one channel per package,
even if the package is present in multiple channels.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Register a client against subchannels (e.g. nokia-imn account, linsee
subchannels to 8.0)
2.issue 'up2date --show-channels --show-all | grep linsee

	

Actual Results:  gcc_2_95_3-1-2                          linsee-1.2.0
gcc_2_95_3_1-1-2                        linsee-2.1.1
gcc_2_95_3_2-1-2                        linsee-2.5.1
jbuilder_4-1-2                          linsee-1.2.0
jbuilder_5ent-1-2                       linsee-2.5.1
jbuilder_5pro-1-2                       linsee-2.5.1

etc.

Expected Results:  gcc_2_95_3-1-2                          linsee-1.2.0,
linsee-1.3.0
gcc_2_95_3_1-1-2                        linsee-2.1.1, linsee-2.2.0, linsee-2.3.0
gcc_2_95_3_2-1-2                        linsee-2.5.1, linsee-2.5.0
jbuilder_4-1-2                          linsee-1.2.0
jbuilder_5ent-1-2                       linsee-2.5.1, linsee-2.5.0, linsee-2.4.0
jbuilder_5pro-1-2                       linsee-2.5.1, linsee-2.5.0, linsee-2.4.0


Additional info:

Contact me offline for information as to why we are trying to do this.

Comment 1 Adrian Likins 2002-11-06 21:57:37 UTC
whats `up2date --show-channels` report?



Comment 2 Nick Strugnell 2002-11-07 07:45:03 UTC
 up2date --show-channels correctly lists all the available channels. I think 
that up2date is simply unaware that a package can reside in multiple channels, 
and only ever reports the first hit for a given package.

Comment 3 Adrian Likins 2003-01-21 05:10:41 UTC
You have the exact same package in multiple channels?

I didn't even think that was supposed to work at all. And
the machine is subscibed to all these channels? 

This is kind of unusual useage, so I'm not exactly sure
what to expect it to do. 

Comment 4 Adrian Likins 2004-04-05 21:11:28 UTC
Never sure how exactly the expected 
behaviour differed from the actual
behaviour, so closing.


Note You need to log in before you can comment on or make changes to this bug.